Package com.verisign.epp.codec.idntable

## Class EPPIdnTableCheckTable

- java.lang.Object
- - com.verisign.epp.codec.idntable.EPPIdnTableCheckTable

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPIdnTableCheckTable
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPIdnTableCheckTable` is used to represent the Internationalized Domain Name (IDN) table identifier in a IDN table response to a <check< command. The IDN table identifier information includes the identifier and a boolean indicating that it exists or not.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPIdnTableCheckTable`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPIdnTableCheckTable`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPIdnTableCheckTable()` | Default constructor for `EPPIdnTableCheckTable`.
    `EPPIdnTableCheckTable​(java.lang.String aTable, boolean aExists)` | Constructor for `EPPIdnTableCheckTable` that takes the required attributes of the table identifier and the exists flag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | encode instance into a DOM element tree.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPIdnTableCheckTable` with this instance.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getTable()` | Gets the table identifier.
    `boolean` | `isExists()` | Does the table identifier exist?
    `void` | `setExists​(boolean aExists)` | Sets whether the table identifier exists.
    `void` | `setTable​(java.lang.String aTable)` | Sets the table identifier.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableCheckTable`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableCheckTable`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableCheckTable

          public EPPIdnTableCheckTable()

      Default constructor for `EPPIdnTableCheckTable`.

    - #### EPPIdnTableCheckTable

          public EPPIdnTableCheckTable​(java.lang.String aTable,
                                       boolean aExists)

      Constructor for `EPPIdnTableCheckTable` that takes the required attributes of the table identifier and the exists flag.
      Parameters:
        `aTable` - Table identifier
        `aExists` - `true` if the table identifier exists; `false` otherwise.

  - ### Method Detail

    - #### getTable

          public java.lang.String getTable()

      Gets the table identifier.
      Returns:
        The table identifier

    - #### setTable

          public void setTable​(java.lang.String aTable)

      Sets the table identifier.
      Parameters:
        `aTable` - The table identifier.

    - #### isExists

          public boolean isExists()

      Does the table identifier exist?
      Returns:
        `true` if the table identifier exists; `false` otherwise.

    - #### setExists

          public void setExists​(boolean aExists)

      Sets whether the table identifier exists.
      Parameters:
        `aExists` - `true` if the table identifier exists; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPIdnTableCheckTable`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPIdnTableCheckTable`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableCheckTable` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.